

function addSkyBoxRenderPass(renderer)
  -- skybox pass
  local skyBoxRenderPass = renderer.passes:add(SkyboxRenderPass())
  local skyVisual = Sphere(10)
  local shader = Shader() 
  local textureState = shader:getOrCreateTextureState()
  local baseMap = Texture.loadFromFile("panorama8.png")
  textureState:setTexture(0, baseMap)
  skyVisual.material = shader
  skyVisual.material:getOrCreateCullState().mode = CullState.CULL_NONE
  skyVisual.material:getOrCreateDepthBufferState().writable = false
  skyVisual.material:getOrCreateLightState().enabled = false
  skyBoxRenderPass.visual = skyVisual
  
--  InputManager.instance().bindings:add(ToggleRenderPassInputBinding(KeyboardState.KEY_F11, skyBoxRenderPass))
end
